Subject: Re: bug#70355: emacs-29 build fails byte-compiling lisp/org/ox.el

From: morf <[email-masked]>
Date: Sat, 13 Apr 2024 16:33:30 +0200

Ah yes, my bad, thanks for setting me straight. I've been out of this too long.

Eli Zaretskii wrote on 4/13/24 09:05:
> [Please use Reply All to reply, to keep the bug tracker CC'ed.]
>
> Forwarding to the bug tracker:
>
>> Date: Sat, 13 Apr 2024 02:19:17 +0200
>> From: morf<[email-masked]>
>>
>> Thank you for responding.
>>
>> Yes, make bootstrap, did that already a couple of times, but I keep running into the same error. What is odd is
>> that the byte-compile (see fragment in my post) of ox.el gives the line number, when manually trying to
>> byte-compile org-element.el (the offender) I get no line number at all. Hmm.
>>
>> Will keep trying to figure out what is wrong here. I wonder where the tramp stuff enters.
>>
>> Eli Zaretskii wrote on 4/12/24 20:20:
>>
>>   Date: Fri, 12 Apr 2024 16:14:38 +0200
>> From: morf<[email-masked]>
>>
>> While wondering if this is the place to bring my issue, allow me to state it nevertheless.
>>
>> I was trying to compile emacs-29 from sources. However the build fails, and chokes on byte-compiling
>> lisp/org/ox.el:
>>
>> ...
>> make[3]: Entering directory '/home/bjd/mint/packages/emacs-mirror/lisp'
>> '../src/emacs' -batch --no-site-file --no-site-lisp --eval "(setq load-prefer-newer t byte-compile-warnings 'all)"  -f
>> batch-byte-compile org/ox.el
>>
>> In toplevel form:
>> org/ox.el:82:2: Error: Eager macro-expansion failure: (error "Eager macro-expansion failure: (error \"Eager
>> macro-expansion failure: (error \\\"Eager macro-expansion skipped due to cycle:
>>    … => (load \\\\\\\"tramp-archive.el\\\\\\\") => (macroexpand-all …) => (macroexpand (eval-and-compile …)) =>
>> (load \\\\\\\"tramp-gvfs.el\\\\\\\") => (load \\\\\\\"tramp.el\\\\\\\") => (load \\\\\\\"tramp-archive.el\\\\\\\")\\\")\")")
>> Makefile:332: recipe for target 'org/ox.elc' failed
>> make[3]: *** [org/ox.elc] Error 1
>> make[3]: Leaving directory '/home/bjd/mint/packages/emacs-mirror/lisp'
>> Makefile:383: recipe for target 'main-first' failed
>> make[2]: *** [main-first] Error 2
>> make[2]: Leaving directory '/home/bjd/mint/packages/emacs-mirror/lisp'
>> Makefile:533: recipe for target 'lisp' failed
>> make[1]: *** [lisp] Error 2
>> make[1]: Leaving directory '/home/bjd/mint/packages/emacs-mirror'
>> make[1]: Entering directory '/home/bjd/mint/packages/emacs-mirror'
>> ***
>> *** "make all" failed with exit status 2.
>> ...
>>
>> I think this can be traced back to byte-compiling lisp/org/org-element.el; when I try to byte-compile that
>> manually I do indeed get the error about Eager macro-expansion failure, but I am unsure what actually causes
>> this failure.
>>
>> Comments?
>>
>>
>> I cannot reproduce that.  Suggest "make bootstrap".